Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1200540 - Incremental update publishes/promotes to incorrect lifecycle environments of a composite content view
Summary: Incremental update publishes/promotes to incorrect lifecycle environments of ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1130651
TreeView+ depends on / blocked
 
Reported: 2015-03-10 19:16 UTC by sthirugn@redhat.com
Modified: 2019-04-01 20:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:29:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 9799 0 None None None 2016-04-22 16:40:41 UTC
Red Hat Product Errata RHSA-2015:1592 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description sthirugn@redhat.com 2015-03-10 19:16:49 UTC
Description of problem:
Incremental update publishes/promotes to incorrect lifecycle environments of a composite content view

Version-Release number of selected component (if applicable):
Satellite-6.1.0-RHEL-6-20150303.0

How reproducible:
Always

Steps to Reproduce:
1. Create a content view cv1 and publish v1.0 and promote to Library, QE. Register and subscribe a content host ch1 to cv1 -> QE
2. Create a composite content view ccv2, add cv1 to it.  Publish v1.0 - promote to Library, QE. Register and subscribe a content host ch2 to ccv2 -> QE
3. Go to Content -> Errata -> Select an errata which is applicable to both content hosts ch1 and ch2
4. Click Apply Errata
5. Both ch1 and ch2 will show up
6. Just select ch1, click Next
7. Click the check box to immediately apply the errata to the content host.  Click confirm.

Actual results:
1 - cv1 is published with v1.1 for QE (works as expected)
2 - ch1 received the errata (works as expected)
3 - cch2 is published with v1.1 for both Library, QE (not sure why cch2 is published to both Library, QE) (Not works as expected)


Expected results:
For the 3rd item above, I really dont know the expected result, this is a design question

Additional info:

Comment 3 Justin Sherrill 2015-03-17 20:29:58 UTC
Created redmine issue http://projects.theforeman.org/issues/9799 from this bug

Comment 4 Bryan Kearney 2015-03-18 22:05:25 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/9799 has been closed
-------------
Justin Sherrill
Applied in changeset commit:katello|3817b397dcb2a50fbf3682e9c06c3ec0e6190f90.

Comment 7 sthirugn@redhat.com 2015-03-24 20:26:13 UTC
Verified.

Satellite-6.1.0-RHEL-7-20150320.1

Verification steps:
1. Create a content view cv1 and publish v1.0 and promote to Library, QE. Register and subscribe a content host ch1 to cv1 -> QE
2. Create a composite content view ccv2, add cv1 to it.  Publish v1.0 - promote to Library, QE. Register and subscribe a content host ch2 to ccv2 -> QE
3. Go to Content -> Errata -> Select an errata which is applicable to both content hosts ch1 and ch2
4. Click Apply Errata
5. Both ch1 and ch2 will show up
6. Just select ch1, click Next
7. Click the check box to immediately apply the errata to the content host.  Click confirm.

Actual results:
1 - cv1 is published with v1.1 for QE (works as expected)
2 - ch1 received the errata (works as expected)
3 - ccv2 is not updated at all (works as expected)

Comment 8 Bryan Kearney 2015-08-11 13:29:04 UTC
This bug is slated to be released with Satellite 6.1.

Comment 9 errata-xmlrpc 2015-08-12 05:29:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.